#ifndef _globals_h
#define _globals_h

extern volatile bool stopped;

#define DefaultWorkMode "1"
#define DefaultClassFilter 1
#define DefaultAggregationStep "1"
#define DefaultReportType 1
#define DefaultRepModeResultFile "out.csv"
#define DefaultCvtModeResultFile "out.sql"
#define DefaultUnit "m"
#ifdef WIN32
#define DefaultTempDir "."
#define PathDivider '\\'
#define DefaultDataFilePath "C:\\Program Files\\NetUP\\UTM5\\db\\"
#ifdef CONSOLE
#define CollectingDataDBSMsg " ࠡ⪠ dbs 䠩     "
#define CollectingDataUTMMsg " ࠡ⪠ utm 䠩     "
#define UserDataErrorMsg "ࠢ     ଠ\n"
#define WorkModePromptMsg " ࠡ (1 - , 2 - ) [%s] : "
#define PeriodBeginPromptMsg "  ६ 砫 ਮ (-- ::) [] : "
#define PeriodEndPromptMsg "  ६  ਮ (-- ::) [] : "
#define DataFilePathPromptMsg "  䠩  [\"%s\"] : "
#define AccountIdPromptMsg "䨪 楢  [] : "
#define ServiceLinkIdPromptMsg "䨪 ࢨ᭮ 離 [] : "
#define ClassFilterPromptMsg " 䨪 (1 - , 2 - 室騩, 3 - 室騩, 4 - ) [%d] : "
#define SrcIPAddressPromptMsg "IP  筨 [] : "
#define DestIPAddressPromptMsg "IP  ⥫ [] : "
#define SrcPortPromptMsg " 筨 [] : "
#define DestPortPromptMsg " ⥫ [] : "
#define ProtocolPromptMsg "⮪ [] : "
#define HelpScreen \
        "\n" \
        "\t-mode\t ࠡ\n" \
        "\t-cf\t 䨪\n" \
        "\t-bp\t\t砫 ਮ (/६)\n" \
        "\t-ep\t\t ਮ (/६)\n" \
        "\t-bt\t\t砫 ਮ (६ Unix)\n" \
        "\t-et\t\t ਮ (६ Unix)\n" \
        "\t-path\t\t  䠩 \n" \
        "\t-a\t\t䨪 楢 \n" \
        "\t-s\t\t䨪 ࢨ᭮ 離\n" \
        "\t-srcaddr, -sa\tIP  筨\n" \
        "\t-dstaddr, -da\tIP  ⥫\n" \
        "\t-srcport, -sp\t 筨\n" \
        "\t-dstport, -dp\t ⥫\n" \
        "\t-proto, -pr\t⮪\n" \
        "\t-outfile, -out\t 室 䠩\n" \
        "\t-noi\t\tࠪ⨢ ०\n" \
        "\t-q\t\t  뢮 ᮮ饭\n" \
        "\t-report, -rep\t \n" \
        "\t-aggstep, -astp\t ॣ樨  \n" \
        "\t-unit, -u\t 䨪\n" \
        "\n"
#define AggregationStepPromptMsg " ॣ樨   [%s] : "
#define UnitPromptMsg " 䨪 (b - , k - , m - ) [%s] : "
#define RepModeResultFilePromptMsg " 䠩  ⮬ [\"%s\"] : "
#define CvtModeResultFilePromptMsg " 䠩   [\"%s\"] : "
#define ReportTypePromptMsg "  (1 -  ࠡ⪨, 2 -  ॣ樥, 3 - 㬬) [%d] : "
#define ResultFileOpenErrorMsg "   䠩  室묨 묨\n"
#define BadFilterErrorMsg "筮   䨫樨\n"
#define AggregationImpossibleMsg "ॣ ,    ࠭ ६\n"
#define SummarizeImpossibleMsg "㬬஢ ,   砫 ਮ\n"
#endif
#else
#define DefaultTempDir "/var/tmp"
#define PathDivider '/'
#define DefaultDataFilePath "/netup/utm5/db/"
#ifdef CONSOLE
#define CollectingDataDBSMsg "Working on dbs files     "
#define CollectingDataUTMMsg "Working on utm files     "
#define UserDataErrorMsg "Bad data or format\n"
#define WorkModePromptMsg "Work mode (1 - reports, 2 - converter) [%s] : "
#define PeriodBeginPromptMsg "Period begin (dd-mm-yyyy hh:mm:ss) [] : "
#define PeriodEndPromptMsg "Period end (dd-mm-yyyy hh:mm:ss) [] : "
#define DataFilePathPromptMsg "Path to data files [\"%s\"] : "
#define AccountIdPromptMsg "Account identifier [] : "
#define ServiceLinkIdPromptMsg "Service link identifier [] : "
#define ClassFilterPromptMsg "Traffic filter (1 - none, 2 - incoming, 3 - outgoing, 4 - paid) [%d] : "
#define SrcIPAddressPromptMsg "Source IP address [] : "
#define DestIPAddressPromptMsg "Destination IP address [] : "
#define SrcPortPromptMsg "Source port [] : "
#define DestPortPromptMsg "Destination port [] : "
#define ProtocolPromptMsg "Protocol [] : "
#define HelpScreen \
        "\n" \
        "\t-mode\t\tWork mode\n" \
        "\t-cf\t\tClass-based traffic filter\n" \
        "\t-bp\t\tPeriod begin (date/time)\n" \
        "\t-ep\t\tPeriod end (date/time)\n" \
        "\t-bt\t\tPeriod begin (Unix timestamp)\n" \
        "\t-et\t\tPeriod end (Unix timestamp)\n" \
        "\t-path\t\tPath to data files\n" \
        "\t-a\t\tAccount identifier\n" \
        "\t-s\t\tService link identifier\n" \
        "\t-srcaddr, -sa\tSource IP address\n" \
        "\t-dstaddr, -da\tDestination IP address\n" \
        "\t-srcport, -sp\tSource port\n" \
        "\t-dstport, -dp\tDestination port\n" \
        "\t-proto, -pr\tProtocol\n" \
        "\t-outfile, -out\tOutput file name\n" \
        "\t-noi\t\tNon-interactive mode\n" \
        "\t-q\t\tQuiet mode\n" \
        "\t-report, -rep\tReport type:\n" \
        "\t\t\t 1 - as is\n" \
        "\t\t\t 2 - aggregated\n" \
        "\t\t\t 3 - summary\n" \
        "\t-aggstep, -astp\tAggregation step in hours\n" \
        "\t-unit, -u\tTraffic unit:\n" \
        "\t\t\t b - byte\n" \
        "\t\t\t k - kilobyte\n" \
        "\t\t\t m - megabyte\n" \
        "\n"
#define AggregationStepPromptMsg "Aggregation step in hours [%d] : "
#define ReportTypePromptMsg "Report type (1 - as is, 2 - aggregated, 3 - summary) [%d] : "
#define RepModeResultFilePromptMsg "Report file name [\"%s\"] : "
#define CvtModeResultFilePromptMsg "Dump file name [\"%s\"] : "
#define UnitPromptMsg "Traffic unit (b - bytes, k - Kb, m - Mb) [%s] : "
#define ResultFileOpenErrorMsg "Can't open result file\n"
#define BadFilterErrorMsg "Not enough data for filtering\n"
#define AggregationImpossibleMsg "Aggregation impossible, time borders is not specified\n"
#define SummarizeImpossibleMsg "Summarization impossible, period begin is not specified\n"
#endif
#endif

#ifdef W32GUI
#include <windows.h>
#define WM_THREAD_END WM_USER+10
#define WM_INITPROGRESS WM_USER+11
#define WM_UPDATEPROGRESS WM_USER+12
#define WM_CLEARPROGRESS WM_USER+13
extern HINSTANCE inst;
extern HANDLE wkthread;
extern volatile HWND mainwnd;
extern CRITICAL_SECTION mainwnd_cs;
#endif

char *MakeTempName ();

#endif
